API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
API संदर्भ संस्करण: 1.0.0 6 एंडपॉइंट प्रमाणीकरण
बेस URL
https://pressmonitor.com/api प्रमाणीकरण
सभी अनुरोधों के लिए x-api-key और x-subscription-id हेडर आवश्यक हैं। x-api-key आपके खाते को प्रमाणित करता है; x-subscription-id सब्सक्राइब किए गए सेवा को चुनता है।
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
GET
/google_search_web Google Search Recherche Web
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
| region | string | query | नहीं | Region code |
| safesearch | string | query | नहीं | SafeSearch filter |
| timelimit | string | query | नहीं | Time limit |
| max_results | integer | query | नहीं | Maximum number of results |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
GET
/google_search_news Google Search Recherche Actualités
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
| region | string | query | नहीं | Region code |
| max_results | integer | query | नहीं | Maximum number of results |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
GET
/google_search_images Google Search Recherche Images
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
| region | string | query | नहीं | Region code |
| safesearch | string | query | नहीं | SafeSearch filter |
| timelimit | string | query | नहीं | Time limit |
| max_results | integer | query | नहीं | Maximum number of results |
| color | string | query | नहीं | Color |
| size | string | query | नहीं | Size |
| image_type | string | query | नहीं | Image type |
| layout | string | query | नहीं | Layout |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
| region | string | query | नहीं | Region code |
| safesearch | string | query | नहीं | SafeSearch filter |
| timelimit | string | query | नहीं | Time limit |
| max_results | integer | query | नहीं | Maximum number of results |
| resolution | string | query | नहीं | Resolution |
| duration | string | query | नहीं | Duration |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
GET
/google_search_maps Google Search Recherche Cartes
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| text | string | query | हां | Query text |
| place | string | query | नहीं | Place |
| street | string | query | नहीं | Street |
| city | string | query | नहीं | City |
| state | string | query | नहीं | State |
| country | string | query | नहीं | Country code |
| postalcode | string | query | नहीं | Postalcode |
| latitude | string | query | नहीं | Latitude |
| longitude | string | query | नहीं | Longitude |
| radius | string | query | नहीं | Radius |
कोड उदाहरण
curl -X GET \
"https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" प्रतिक्रियाएं
200 Success
